BSDE_GET_RULE_COUNT(3)

NAME
bsde_get_rule_count, bsde_get_rule_slots - file system firewall statistics

LIBRARY
libugidfw

SYNOPSIS
#include <ugidfw.h>
int
bsde_get_rule_count(size_t errlen, char *errstr);
int
bsde_get_rule_slots(size_t errlen, char *errstr);

DESCRIPTION
The bsde_get_rule_count() and bsde_get_rule_slots() functions return the total number of enforced rules and the total number of used rule slots, respectively. If an error occurs, *errstr is filled in with the error string (up to errlen characters, including the terminating NUL).

RETURN VALUES
The bsde_get_rule_count() and bsde_get_rule_slots() functions return the number of enforced rules and rule slots (respectively) if successful; otherwise the value -1 is returned and the value of *errstr is filled in as documented in DESCRIPTION.

SEE ALSO
bsde_delete_rule(3), bsde_get_rule(3), bsde_parse_rule(3), bsde_parse_rule_string(3), bsde_rule_to_string(3), bsde_set_rule(3), libugidfw(3), mac_bsdextended(4), ugidfw(8)

AUTHORS
This software was contributed to the FreeBSD Project by Network Associates Labs, the Security Research Division of Network Associates Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.